Issue #6223 has been updated by zhum (Sergey Zhumatiy).


  Ok, with 1.9.3p125 works.

----------------------------------------
Bug #6223: Strange crash in GC while thread creation - 1.9.2 only
https://bugs.ruby-lang.org/issues/6223#change-25822

Author: zhum (Sergey Zhumatiy)
Status: Feedback
Priority: Normal
Assignee: 
Category: 
Target version: 
ruby -v: ruby 1.9.3p0 (2011-10-30 revision 33570) [x86_64-linux]


I use ruby-1.9.3-p0 and ruby-1.9.2-p290 via rvm. Here are installed gems:
$ gem list

*** LOCAL GEMS ***

avro (1.6.2)
bson (1.6.1)
bson_ext (1.6.1)
bundler (1.1.3)
cassandra (0.12.1)
citrus (2.4.1)
json (1.6.6)
mongo (1.6.1)
mongo_ext (0.19.3)
rake (0.9.2.2)
simple_uuid (0.2.0)
thrift (0.8.0)
thrift_client (0.8.1)
yajl-ruby (1.1.0)


While running my program with several parameters it crashes with ruby 1.9.3. But It works with 1.9.2.
Crash dump is attached. To reproduce, unfortunatelly, is needed to be mongodb with some comntent installed.



-- 
http://bugs.ruby-lang.org/